
QGIS Application - Bug report #2709

There is no default value of Categorized symbol in new symbology

2010-05-12 11:02 PM - jekhor -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 12769

Description

There is no default value of Categorized symbol in new symbology. Symbol with blank classification value is applied for NULL value only.

In old symbology, blank value was applied for all non-classified features.

Associated revisions

Revision 9035cf7a - 2012-01-10 08:25 PM - Alexander Bruy

don't overwrite existing classes when reclassify in graduated symbol

renderer. Also always add default value and use it for all unclassified

values (fixes #2709)

Revision 068493db - 2012-01-16 02:12 PM - Alexander Bruy

don't overwrite existing classes when reclassify in graduated symbol

renderer. Also always add default value and use it for all unclassified

values (fixes #2709)

History

#1 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-01-10 11:32 AM - Alexander Bruy

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed in changeset commit:"9035cf7a7e31921a84b5d8281cf9e845293d65c1".

2025-04-27 1/1


